"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.tabIdBundle = void 0;

var _uuid = require("../utils/uuid");

// Used to identify "tab sessions" for subscriptions and
// correlation tracking for logging.
// It gives a new tab ID for each browser load or refresh.
// We create this in base HTML file or here.
const tabId = window.XchartTabId || (0, _uuid.uuid)();
const tabIdBundle = {
  name: 'tabId',
  selectTabId: () => tabId
};
exports.tabIdBundle = tabIdBundle;